Create schedule
Create a scheduled task delivering a document’s dashboard, workbook tab, or app.
Filters, formatting, alert conditions, and test deliveries are only supported for dashboard and workbook tab deliveries.
Supports the following destinations:
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Query Parameters
Only supported when using an Organization API key. The membership ID of the user who should own the schedule. The specified user must have permission to view and schedule the document, not just view it. Note: This value is the membership ID, not the user ID. Use the List users endpoint to retrieve membership IDs.
When using an Organization API key:
- If
userIdis provided, the schedule is owned by the specified user - If
userIdis not provided, the schedule is owned by the organization
Attempting to use a Personal Access Token (PAT) with this parameter will result in a 403 Forbidden error. When using a PAT, the schedule owner will be the creator of the PAT.
Body
- Email
- Webhook
- SFTP
- Slack
- S3
When the task runs, as an AWS EventBridge cron expression (minute hour day-of-month month day-of-week year).
Runs cannot be more frequent than once an hour unless the organization allows a higher frequency. Delivery times are approximate and happen within 15 minutes of the scheduled time.
"0 9 ? * MON *"
The ID of the document where the task will be created. This identifier is shared by the document's dashboard, workbook, and app. This can be retrieved:
- From the Identifier field in the document's settings
- Using the dashboard (
/dashboard) or app's (/apps) URL. The string after/dashboardsorappis the document's ID. For example:https://myorg.omniapp.co/dashboards/12db1a0a.
Dashboard deliveries only. Compatible with pdf, png, csv, and xlsx formats, on dashboards using the advanced (multi-page) layout. The instanceKeys of the pages to render:
pdfrenders the listed pages in storage order.pngaccepts exactly one page.csvandxlsxkeep only the tiles on the selected pages.
Cannot be combined with queryIdentifierMapKey. Defaults to the dashboard's first page for pdf and png, and to every tile for csv and xlsx.
1Compatible with pdf and png formats. If true, AI summary tiles grow to show their full text, splitting across pages when paperFormat isn't fit_page.
With paperFormat: fit_page, the page grows instead, and the operation fails if the page would be taller than 60,000px.
Not supported for app deliveries.
false
Compatible with pdf and png formats. If true, up to 1,000 rows in table visualizations will be included in the delivery.
With paperFormat: fit_page, the page grows to fit the rows, and the delivery fails if the page would be taller than 60,000px.
Not supported for app deliveries.
false
Dashboard deliveries only. An object specifying the filter conditions to apply to the task. The filter key specified must already exist in the dashboard.
Use the Get dashboard filters and controls endpoint to retrieve filter configuration objects.
Note: Filter keys are case-sensitive and must match exactly.
Compatible with csv and xlsx formats. If true, fields marked as hidden won't be displayed in the task's output. Not supported for app deliveries.
false
Required for single tile tasks and for workbook deliveries (entity: workbook). The ID of the query to include in a single tile task, or the ID of the workbook tab to deliver. Must reference a valid query in the document.
Required for:
format: jsonwithenableFormatting: trueformat: xlsxwithoverrideRowLimit: trueentity: workbook
"Jmn2r3KV"
If true, allow scheduled queries to use cached results instead of always running fresh queries. An alert always runs its condition check fresh. Only the delivery sent once the condition is met uses cached results.
Cannot be combined with rebuildExtracts. Not supported for app deliveries.
false
Applicable to email destinations. If true, send individual emails to each recipient.
If your organization's delivery personalization setting is set to Never, fanOut is always persisted as false regardless of the submitted value. If set to Always, personalization is forced on for all deliveries. See Personalizing email deliveries for more information.
Note: Personalized deliveries aren't supported for connections that use OAuth sign-in. In this case, the delivery will fail.
Response
Schedule created successfully

